# SEO-4-ALL ChangeLog
# phpBB extension, by kaspir@thetopfew.com
# License [GPLv2](license.txt)

## SEO4ALL v2.0.0 (12-08-2017)
	
			** Must be fresh installed **
	** This version IS NOT compatible with v1.0.0.**
	Updating? You're going to lose your current tags and custom(only) topic descriptions. This will never be the case again, just fyi. 
	
	Here's why, for development to continue without impeeding the integrity of tables used by the pre-exisinting extensions,
	it was important to alter the table names to something unique. SEO4ALL now guarantees all data to be deleted upon 'Delete Data'
	if one should not want to use it, such as a new user. Other code changes will also allow great future updates!
	
	* Fixed, page title on the /tags page, now displays correctly..
	* Fixed, language for module labels recorded in admin logs & module manager, ie. after extension enabled.
	* Fixed, 'posted in' forum_name hyperlink in tag topic search page. Now links to topics' proper forum.
	* Fixed, in viewtopic, topic tags display moved directly below the (optional) topic description. No longer on 1st,10th, etc post.
	* Added, ext.php version_compare to force use with only phpBB 3.2
	* Added, custom template instructions for controlling your own index's meta keywords & titles. See added #tryme files for more.
	* Added, UTF-8/English regular expression(regex) & Russian/English regex supported, posted in the ACP for your copy&paste convenience.
	* Changed, spaces in tags are no longer converted to a '-' or dash by default. Option is still available though, just nicer without.
	* Changed, in permissions->user roles, the option 'SEO4ALL - Can use topic tags' permission from misc tab to the post tab. (minor)
	* Changed, topic descriptions WILL NOW BE DELETED (along with all table data created via this extension) on confirm 'Delete Data'. (major)
	* Changed, mobile CSS response, is much cleaner looking now. Whether you show tags in in forum view or not. Many template changes as well.

	
## SEO4ALL v1.0.0 (08-04-2017)
	* All credited and base extensions, were combined into one ACP module. Ease of use for admin and for further developer modifications. 
	* Everything updated for phpBB 3.2 (sorry, I choose not to support 3.1)
	* ALL meta info is updated thru the core {META} variable in prosilvers' overall_header.html. Now, it's neatly at the top of your header! 
		- Meta content="author" is now equal to viewtopic's first post author's username. Otherwise on other pages, equal to your site name.
		- Meta content="description" by default will automatically generate from topic's first post text, UNLESS it is defined by author.
			Still based on set permissions, if user is not allowed to use topic description, a meta description will be auto-generated. 
			This allows authors to improve descriptions, without depending on the generator, which uses the first few sentences of post text.
				--> FYI: this extension WILL remove all bbcodes & urls from the the formatted meta description.
		- Meta content="keywords" will show author assigned topic tags. OR show nothing if none assigned or not allowed via permissions. 
	* Added: Sitemap now correctly directs to custom admin folders, if not /adm/, when admin uses synchronise.
			 Note: If you never renamed your /adm/ folder, then don't worry about this, it's not suggested by any means.